# Umbitlib

This is a library containing commonly used functions and constants so that they can be centrally hosted, sourced, tested, and managed

Functions being added to the library should
- Include a clear description of the function's purpose 
- Include parameter definitions for easy access in the tooltip 
- Include descriptive comments and formatting to aid in reading the code
- Include specific unit tests for the function in the corresponding tests file
- Follow DRY (Don't Repeat Yourself) coding practices where possible
- Include input cleaning and/or explicit parameter-typing  to prevent end-users from entering incorrect values

For an example submission including tests see the 'add()' function in umbitlib/helpers.py and tests/test_helpers.py

